Merge "update-makefile-helper: nice message when no hidl"
diff --git a/update-makefiles-helper.sh b/update-makefiles-helper.sh
index 30f38a6..ff94187 100755
--- a/update-makefiles-helper.sh
+++ b/update-makefiles-helper.sh
@@ -68,6 +68,11 @@
 # Where the first package root is the current one.
 #
 function do_makefiles_update() {
+  if ! command -v hidl-gen 1>/dev/null; then
+      echo "Cannot find hidl-gen, try lunching or making it ('m hidl-gen')?"
+      exit 1
+  fi
+
   local owner=
   if [[ "$1" = "-O" ]]; then
       owner="$2"